function DecisionRules
% DECISIONRULES Simulates models to extract decision rules

stream0 = RandStream('mt19937ar','Seed',0);
RandStream.setDefaultStream(stream0);
load('models.mat');

options = struct(...
    'eqsolver'   , 'path',...
    'method'     , 'resapprox-complete',...
    'simulmethod', 'solve',...
    'stat'       , 0);

s0 = [1 0];
s  = linspace(without.interp.fspace.a,without.interp.fspace.b,400);

[ssim0,xsim0] = recsSimul(without.model,without.interp,s',0,[],options);

ssim0 = reshape(permute(ssim0,[1 3 2]),[],1);
xsim0 = reshape(permute(xsim0,[1 3 2]),[],3);

[ssim1,xsim1] = recsSimul(full.model,full.interp,[s' zeros(400,1)],0,[],options);

ssim1 = reshape(permute(ssim1,[1 3 2]),[],2);
xsim1 = reshape(permute(xsim1,[1 3 2]),[],9);

stream0.reset
[ssim2,xsim2] = recsSimul(sto.model,sto.interp,repmat(s0,100,1), ...
                          199,[],options);

ssim2 = reshape(permute(ssim2,[1 3 2]),[],2);
xsim2 = reshape(permute(xsim2,[1 3 2]),[],9);


figure()
plot(ssim1(:,1),xsim1(:,4),'.')

save('Rules.mat','ssim0','xsim0','ssim1','xsim1','ssim2','xsim2','-v6');



