# GRAPH_FUNCTIONS Provides a function drawing a plot in 3 different
# fonts and 2 file formats (eps and pdf)
# Time-stamp: <2010-10-28 18:58:12 Christophe Gouel>
require(cmrutils)
par0 <- par()

FiguresCreation <- function(file,plotfunction,...) {
    postscript(file       = paste(c(paste(c(file[1],"CMRoman/",file[2]),collapse=""),".eps"),collapse=""),
               horizontal = F,
               family     = "ComputerModern",
               ...)
    eval(plotfunction)()
    dev.off()
    postscript(file       = paste(c(paste(c(file[1],"CMSans/",file[2]),collapse=""),".eps"),collapse=""),
               horizontal = F,
               family     = "sans",
               ...)
    eval(plotfunction)()
    dev.off()
    postscript(file       = paste(c(paste(c(file[1],"Times/",file[2]),collapse=""),".eps"),collapse=""),
               horizontal = F,
               family     = "Times",
               ...)
    eval(plotfunction)()
    dev.off()
    makefig(plotfun       = eval(plotfunction),
            device        = "pdf",
            filename      = paste(c(file[1],"CMRoman/",file[2]),collapse=""),
            family        = "CMRoman",
            scale         = 1,
            ...)
    makefig(plotfun       = eval(plotfunction),
            device        = "pdf",
            filename      = paste(c(file[1],"CMSans/",file[2]),collapse=""),
            family        = "CMSans",
            scale         = 1,
            ...)
    makefig(plotfun       = eval(plotfunction),
            device        = "pdf",
            filename      = paste(c(file[1],"Times/",file[2]),collapse=""),
            family        = "Times",
            scale         = 1,
            ...)
}

